> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lootexplus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Orders

> List NFT orders using project wallet



## OpenAPI

````yaml POST /v1/project-wallet/orders/list
openapi: 3.0.0
info:
  title: Lootex Plus API - V1
  description: V1 endpoints
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.lootexplus.com
security: []
tags: []
paths:
  /v1/project-wallet/orders/list:
    post:
      tags:
        - V1
      description: List NFT orders using project wallet
      operationId: listOrders
      parameters: []
      requestBody:
        required: true
        description: List order request details
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListOrderDto'
            examples:
              listOrder:
                summary: List NFT Order
                description: Create NFT listing orders
                value:
                  chainId: 1868
                  items:
                    - tokenAddress: '0xfc8e7bda94874f6baa591dd70af0fda1fca201ab'
                      tokenType: ERC721
                      tokenId: '142'
                      unitPrice: '0.1'
                      quantity: '1'
                      currencyAddress: '0x4200000000000000000000000000000000000006'
                      currencySymbol: WETH
                      currencyDecimals: 18
      responses:
        '201':
          description: List order successful
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExecuteStepsResponseDto'
      security:
        - x-api-key: []
        - bearer: []
components:
  schemas:
    ListOrderDto:
      type: object
      properties:
        chainId:
          type: number
          example: 1868
          description: Chain ID
        items:
          description: Array of listing inputs
          type: array
          items:
            $ref: '#/components/schemas/ListOrderItemDto'
      required:
        - chainId
        - items
    ExecuteStepsResponseDto:
      type: object
      properties:
        id:
          type: string
          description: Step identifier
        result:
          description: Array of step results
          type: array
          items:
            $ref: '#/components/schemas/StepResultDto'
      required:
        - id
        - result
    ListOrderItemDto:
      type: object
      properties:
        tokenAddress:
          type: string
          example: '0xfc8e7bda94874f6baa591dd70af0fda1fca201ab'
          description: Address of the token being traded
        tokenType:
          type: string
          enum:
            - ERC721
            - ERC1155
          description: Type of the token (ERC721 or ERC1155)
          example: ERC721
        tokenId:
          type: string
          example: '142'
          description: ID of the token
        unitPrice:
          type: string
          example: '0.1'
          description: Price per unit
        quantity:
          type: string
          example: '1'
          description: Quantity of tokens
        currencyAddress:
          type: string
          example: '0x4200000000000000000000000000000000000006'
          description: Currency token address
        currencySymbol:
          type: string
          example: WETH
          description: Currency symbol
        currencyDecimals:
          type: number
          example: 18
          description: Currency decimals
          default: 18
        startTime:
          type: number
          description: Order start time
          example: 1753328679
        endTime:
          type: number
          description: Order end time
          example: 1911066278
        fees:
          description: Array of fee specifications
          type: array
          items:
            $ref: '#/components/schemas/ListOrderFeeDto'
      required:
        - tokenAddress
        - tokenType
        - tokenId
        - unitPrice
    StepResultDto:
      type: object
      properties:
        type:
          type: string
          description: Type of the step result
        result:
          type: object
          description: Result data of the step
      required:
        - type
        - result
    ListOrderFeeDto:
      type: object
      properties:
        recipient:
          type: string
          example: '0x7D878A527e86321aECd80A493E584117A907A0AB'
          description: Fee recipient address
        bps:
          type: number
          example: 250
          description: Fee amount in basis points
      required:
        - recipient
        - bps
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Secret key for authentication

````